Package org.eclipse.rdf4j.rio.helpers

## Enum JSONLDMode

- java.lang.Object
- - java.lang.Enum<JSONLDMode>
  - - org.eclipse.rdf4j.rio.helpers.JSONLDMode

- All Implemented Interfaces:
    `Serializable`, `Comparable<JSONLDMode>`

      public enum JSONLDMode
      extends Enum<JSONLDMode>

  Specifies constants to identify various modes that are relevant to JSONLD documents.
  Author:
    Peter Ansell
  See Also:
    JSONLD Features

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMPACT` |
    `EXPAND` |
    `FLATTEN` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getLabel()` |
    `String` | `getReference()` |
    `static JSONLDMode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static JSONLDMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXPAND

          public static final JSONLDMode EXPAND

    - #### COMPACT

          public static final JSONLDMode COMPACT

    - #### FLATTEN

          public static final JSONLDMode FLATTEN

  - ### Method Detail

    - #### values

          public static JSONLDMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JSONLDMode c : JSONLDMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JSONLDMode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLabel

          public String getLabel()

      Returns:
        Returns the label.

    - #### getReference

          public String getReference()

      Returns:
        Returns the reference URL for the given mode.